using BankDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.ViewModels
{
    public class PaymentViewModel : IPaymentModel
    {
        [DisplayName("Номер платы")]
        public int Id { get; set; }
        [DisplayName("Дата платы")]
        public DateTime PaymentDate { get; set; } = DateTime.Now.Date;
        public Dictionary<int, IDealModel> DealPayments { get; set; } = new();
        public Dictionary<int, ICurrencyModel> CurrencyPayments { get; set; } = new();
        public int OperatorId { get; set; }
        [DisplayName("ФИО оператора")]
        public string OperatorName { get; set; } = string.Empty;
    }
}
